Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role.impl
Class RolePackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.role.impl.RolePackageImpl

All Implemented Interfaces:
  RolePackage

    public class RolePackageImpl

extends EPackageImpl
implements RolePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmt.modisco.infra.role.RolePackage
`RolePackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.role.RolePackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ROLE, ROLE__ABSTRACT, ROLE__CONDITION_QUERY, ROLE__DEFAULT_VALUE, ROLE__EALL_ATTRIBUTES, ROLE__EALL_CONTAINMENTS, ROLE__EALL_GENERIC_SUPER_TYPES, ROLE__EALL_OPERATIONS, ROLE__EALL_REFERENCES, ROLE__EALL_STRUCTURAL_FEATURES, ROLE__EALL_SUPER_TYPES, ROLE__EANNOTATIONS, ROLE__EATTRIBUTES, ROLE__EGENERIC_SUPER_TYPES, ROLE__EID_ATTRIBUTE, ROLE__EOPERATIONS, ROLE__EPACKAGE, ROLE__EREFERENCES, ROLE__ESTRUCTURAL_FEATURES, ROLE__ESUPER_TYPES, ROLE__ETYPE_PARAMETERS, ROLE__INSTANCE_CLASS, ROLE__INSTANCE_CLASS_NAME, ROLE__INSTANCE_TYPE_NAME, ROLE__INTERFACE, ROLE__NAME, ROLE_ATTRIBUTE, ROLE_ATTRIBUTE__CHANGEABLE, ROLE_ATTRIBUTE__DEFAULT_VALUE, ROLE_ATTRIBUTE__DEFAULT_VALUE_LITERAL, ROLE_ATTRIBUTE__DERIVED, ROLE_ATTRIBUTE__EANNOTATIONS, ROLE_ATTRIBUTE__EATTRIBUTE_TYPE, ROLE_ATTRIBUTE__ECONTAINING_CLASS, ROLE_ATTRIBUTE__EGENERIC_TYPE, ROLE_ATTRIBUTE__ETYPE, ROLE_ATTRIBUTE__ID, ROLE_ATTRIBUTE__LOWER_BOUND, ROLE_ATTRIBUTE__MANY, ROLE_ATTRIBUTE__NAME, ROLE_ATTRIBUTE__ORDERED, ROLE_ATTRIBUTE__REQUIRED, ROLE_ATTRIBUTE__TRANSIENT, ROLE_ATTRIBUTE__UNIQUE, ROLE_ATTRIBUTE__UNSETTABLE, ROLE_ATTRIBUTE__UPPER_BOUND, ROLE_ATTRIBUTE__VALUE_QUERY, ROLE_ATTRIBUTE__VOLATILE, ROLE_ATTRIBUTE_FEATURE_COUNT, ROLE_FEATURE_COUNT, ROLE_REFERENCE, ROLE_REFERENCE__CHANGEABLE, ROLE_REFERENCE__CONTAINER, ROLE_REFERENCE__CONTAINMENT, ROLE_REFERENCE__DEFAULT_VALUE, ROLE_REFERENCE__DEFAULT_VALUE_LITERAL, ROLE_REFERENCE__DERIVED, ROLE_REFERENCE__EANNOTATIONS, ROLE_REFERENCE__ECONTAINING_CLASS, ROLE_REFERENCE__EGENERIC_TYPE, ROLE_REFERENCE__EKEYS, ROLE_REFERENCE__EOPPOSITE, ROLE_REFERENCE__EREFERENCE_TYPE, ROLE_REFERENCE__ETYPE, ROLE_REFERENCE__LOWER_BOUND, ROLE_REFERENCE__MANY, ROLE_REFERENCE__NAME, ROLE_REFERENCE__ORDERED, ROLE_REFERENCE__REQUIRED, ROLE_REFERENCE__RESOLVE_PROXIES, ROLE_REFERENCE__TRANSIENT, ROLE_REFERENCE__UNIQUE, ROLE_REFERENCE__UNSETTABLE, ROLE_REFERENCE__UPPER_BOUND, ROLE_REFERENCE__VALUE_QUERY, ROLE_REFERENCE__VOLATILE, ROLE_REFERENCE_FEATURE_COUNT, ROLE_SET, ROLE_SET__EANNOTATIONS, ROLE_SET__ECLASSIFIERS, ROLE_SET__EFACTORY_INSTANCE, ROLE_SET__ESUBPACKAGES, ROLE_SET__ESUPER_PACKAGE, ROLE_SET__EXTENDED_PACKAGE, ROLE_SET__NAME, ROLE_SET__NS_PREFIX, ROLE_SET__NS_URI, ROLE_SET__ROLES, ROLE_SET_FEATURE_COUNT, ROLE_STRUCTURAL_FEATURE, ROLE_STRUCTURAL_FEATURE__VALUE_QUERY, ROLE_STRUCTURAL_FEATURE_FEATURE_COUNT, SHORTCUT, SHORTCUT__CHANGEABLE, SHORTCUT__CONTAINER, SHORTCUT__CONTAINMENT, SHORTCUT__DEFAULT_VALUE, SHORTCUT__DEFAULT_VALUE_LITERAL, SHORTCUT__DERIVED, SHORTCUT__EANNOTATIONS, SHORTCUT__ECONTAINING_CLASS, SHORTCUT__EGENERIC_TYPE, SHORTCUT__EKEYS, SHORTCUT__EOPPOSITE, SHORTCUT__EREFERENCE_TYPE, SHORTCUT__ETYPE, SHORTCUT__LOWER_BOUND, SHORTCUT__MANY, SHORTCUT__NAME, SHORTCUT__OPPOSITE_REFERENCE, SHORTCUT__ORDERED, SHORTCUT__PATH, SHORTCUT__REQUIRED, SHORTCUT__RESOLVE_PROXIES, SHORTCUT__TRANSIENT, SHORTCUT__UNIQUE, SHORTCUT__UNSETTABLE, SHORTCUT__UPPER_BOUND, SHORTCUT__VOLATILE, SHORTCUT_FEATURE_COUNT`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`EReference` | `getRole_ConditionQuery()`
`EClass` | `getRole()`
`EClass` | `getRoleAttribute()`
`RoleFactory` | `getRoleFactory()`
`EClass` | `getRoleReference()`
`EReference` | `getRoleSet_ExtendedPackage()`
`EReference` | `getRoleSet_Roles()`
`EClass` | `getRoleSet()`
`EReference` | `getRoleStructuralFeature_ValueQuery()`
`EClass` | `getRoleStructuralFeature()`
`EReference` | `getShortcut_OppositeReference()`
`EReference` | `getShortcut_Path()`
`EClass` | `getShortcut()`
`static RolePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static RolePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `RolePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `RolePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getRole

    public EClass getRole()

  Specified by:
    `getRole` in interface `RolePackage`
  Returns:
    the meta object for class 'Role'.
  See Also:
    `Role`

### getRole_ConditionQuery

    public EReference getRole_ConditionQuery()

  Specified by:
    `getRole_ConditionQuery` in interface `RolePackage`
  Returns:
    the meta object for the reference 'Condition Query'.
  See Also:
    `Role.getConditionQuery()`, `RolePackage.getRole()`

### getRoleAttribute

    public EClass getRoleAttribute()

  Specified by:
    `getRoleAttribute` in interface `RolePackage`
  Returns:
    the meta object for class 'Attribute'.
  See Also:
    `RoleAttribute`

### getRoleReference

    public EClass getRoleReference()

  Specified by:
    `getRoleReference` in interface `RolePackage`
  Returns:
    the meta object for class 'Reference'.
  See Also:
    `RoleReference`

### getRoleStructuralFeature

    public EClass getRoleStructuralFeature()

  Specified by:
    `getRoleStructuralFeature` in interface `RolePackage`
  Returns:
    the meta object for class 'Structural Feature'.
  See Also:
    `RoleStructuralFeature`

### getRoleStructuralFeature_ValueQuery

    public EReference getRoleStructuralFeature_ValueQuery()

  Specified by:
    `getRoleStructuralFeature_ValueQuery` in interface `RolePackage`
  Returns:
    the meta object for the reference 'Value Query'.
  See Also:
    `RoleStructuralFeature.getValueQuery()`, `RolePackage.getRoleStructuralFeature()`

### getRoleSet

    public EClass getRoleSet()

  Specified by:
    `getRoleSet` in interface `RolePackage`
  Returns:
    the meta object for class 'Set'.
  See Also:
    `RoleSet`

### getRoleSet_ExtendedPackage

    public EReference getRoleSet_ExtendedPackage()

  Specified by:
    `getRoleSet_ExtendedPackage` in interface `RolePackage`
  Returns:
    the meta object for the reference 'Extended Package'.
  See Also:
    `RoleSet.getExtendedPackage()`, `RolePackage.getRoleSet()`

### getRoleSet_Roles

    public EReference getRoleSet_Roles()

  Specified by:
    `getRoleSet_Roles` in interface `RolePackage`
  Returns:
    the meta object for the reference list 'Roles'.
  See Also:
    `RoleSet.getRoles()`, `RolePackage.getRoleSet()`

### getShortcut

    public EClass getShortcut()

  Specified by:
    `getShortcut` in interface `RolePackage`
  Returns:
    the meta object for class 'Shortcut'.
  See Also:
    `Shortcut`

### getShortcut_Path

    public EReference getShortcut_Path()

  Specified by:
    `getShortcut_Path` in interface `RolePackage`
  Returns:
    the meta object for the reference list 'Path'.
  See Also:
    `Shortcut.getPath()`, `RolePackage.getShortcut()`

### getShortcut_OppositeReference

    public EReference getShortcut_OppositeReference()

  Specified by:
    `getShortcut_OppositeReference` in interface `RolePackage`
  Returns:
    the meta object for the reference 'Opposite Reference'.
  See Also:
    `Shortcut.getOppositeReference()`, `RolePackage.getShortcut()`

### getRoleFactory

    public RoleFactory getRoleFactory()

  Specified by:
    `getRoleFactory` in interface `RolePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD